package com.ruoyi.benyun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.benyun.entity.bo.BrandSearch;
import com.ruoyi.benyun.entity.vo.BrandVo;
import com.ruoyi.benyun.entity.Brand;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BrandMapper extends BaseMapper<Brand> {
    List<Brand> searchList(String text);
    Brand searchById(String brandId);
    List<Brand> searchByIndustryCodeList(String brandId, String industryCode);
    List<BrandSearch> searchSearchByMulti(@Param("text") String text, @Param("industryCode") List<String> industryCode, @Param("countUp") Integer countUp, @Param("countDown") Integer countDown, @Param("coverUp") Integer coverUp, @Param("coverDown") Integer coverDown);

    //管理中心：品牌回收站
    List<Brand> list(BrandVo brandVo);

    void recoverBrand(String brandId);
}
